<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( https://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA - Sylvestre Koumar
 *
 * Copyright (C) 2012 - 2016 - Scilab Enterprises
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * This file was originally licensed under the terms of the CeCILL v2.1,
 * and continues to be available under such terms.
 * For more information, see the COPYING file which you should have received
 * along with this program.
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns4="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="xs2eps" xml:lang="en">
    <refnamediv>
        <refname>xs2eps</refname>
        <refpurpose>export graphics to EPS</refpurpose>
    </refnamediv>
    <refsynopsisdiv>
        <title>Syntax</title>
        <synopsis>
            xs2eps(win_num, file_name [,orientation])
            xs2eps(fig, file_name [,orientation])
        </synopsis>
    </refsynopsisdiv>
    <refsection>
        <title>Arguments</title>
        <variablelist>
            <varlistentry>
                <term>win_num</term>
                <listitem>
                    <para>an integer, ID of the figure to export.</para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>fig</term>
                <listitem>
                    <para>handle of the figure to export.</para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>file_name</term>
                <listitem>
                    <para>a string, name of the exported file.</para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>orientation</term>
                <listitem>
                    <para>
                        an optional string, with possible values <literal>'portrait'</literal> or
                        <literal>'landscape'</literal>. The default value is <literal>'portrait'</literal>.
                    </para>
                </listitem>
            </varlistentry>
        </variablelist>
    </refsection>
    <refsection>
        <title>Description</title>
        <para>
            <function>xs2eps</function> exports the display of a
            graphic window into a complete Encapsulated PostScript file.
        </para>
    </refsection>
    <refsection>
        <title>Examples</title>
        <programlisting role="example"><![CDATA[
scf(0)
plot2d()
//EPS export
xs2eps(0,'foo.eps')
xs2eps(gcf(),'foo.eps')
 ]]></programlisting>
    </refsection>
    <refsection role="see also">
        <title>See also</title>
        <simplelist type="inline">
            <member>
                <literal>figure_size</literal> property in <link linkend="figure_properties">figure_properties</link>
            </member>
            <member>
                <link linkend="toprint">toprint</link>
            </member>
            <member>
                <link linkend="printfigure">printfigure</link>
            </member>
            <member>
                <link linkend="xs2bmp">xs2bmp</link>
            </member>
            <member>
                <link linkend="xs2gif">xs2gif</link>
            </member>
            <member>
                <link linkend="xs2jpg">xs2jpg</link>
            </member>
            <member>
                <link linkend="xs2png">xs2png</link>
            </member>
            <member>
                <link linkend="xs2ppm">xs2ppm</link>
            </member>
            <member>
                <link linkend="xs2pdf">xs2pdf</link>
            </member>
            <member>
                <link linkend="xs2svg">xs2svg</link>
            </member>
            <member>
                <link linkend="xs2ps">xs2ps</link>
            </member>
            <member>
                <link linkend="xs2emf">xs2emf</link>
            </member>
        </simplelist>
    </refsection>
</refentry>
